Page MenuHomePhabricator

Arcanist / Conduit - stop using deprecated diffusion.getcommits
ClosedPublic

Authored by btrahan on Feb 3 2015, 10:31 PM.
Tags
None
Referenced Files
F13287484: D11667.diff
Tue, Jun 4, 8:51 AM
F13278348: D11667.diff
Fri, May 31, 8:26 PM
F13274925: D11667.diff
Fri, May 31, 4:13 AM
F13234729: D11667.diff
Tue, May 21, 3:42 AM
F13230147: D11667.diff
Mon, May 20, 9:13 PM
F13227251: D11667.id.diff
Mon, May 20, 2:08 AM
F13189989: D11667.diff
May 11 2024, 6:43 AM
Unknown Object (File)
May 2 2024, 5:16 PM
Subscribers

Details

Summary

Fixes T7113. This one was a bit trickier than others as the API output changed a bit. In particular, there is no "errors" emitted so much as the result set just doesn't include the answer if things are garbage. Ergo, check the "identifier map" to either check for diff existence or to lookup the phid to grab the actual diff data from the "data" part of the result.

Test Plan

called arc backout D11665 and got some working output...!

Diff Detail

Repository
rARC Arcanist
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

btrahan retitled this revision from to Arcanist / Conduit - stop using deprecated diffusion.getcommits.
btrahan updated this object.
btrahan edited the test plan for this revision. (Show Details)
btrahan added a reviewer: epriestley.
epriestley edited edge metadata.
This revision is now accepted and ready to land.Feb 3 2015, 10:32 PM
This revision was automatically updated to reflect the committed changes.
src/workflow/ArcanistWorkflow.php
1015–1016

The old version of this was totally unreadable and neither of us caught it, but this actually inverted the logic.

The intent here is to return false ("do not amend") if the commit is known. That is: do not amend published commits.

This will be fixed in a second (with the fix for T7344).